MAINTAINERCLEANFILES = Makefile.in

EDJE_CC = @edje_cc@
EDJE_FLAGS = \
-id $(top_srcdir)/data/themes/alternative \
-fd $(top_srcdir)/data/themes/alternative

filesdir = $(datadir)/netbook-launcher-efl/data/themes
files_DATA = alternative.edj

EDJE_SRCS = \
arrow-left.png \
arrow-right.png \
bg.jpg \
busy-1.png \
busy-2.png \
busy-3.png \
busy-4.png \
busy-5.png \
busy-6.png \
busy-7.png \
busy-8.png \
busy-9.png \
eject.png \
error-bg.png \
favorite_add.png \
favorite_del.png \
iconviewbg.png \
item-bg.png \
item-label-sep.png \
launch-bg.png \
open.png \
scrollbar-bg.png \
scrollbar-knob.png \
sidebar_item_active.png \
sidebar_shadow.png \
text-bg.png

EXTRA_DIST = alternative.edc $(EDJE_SRCS)

alternative.edj: Makefile alternative.edc $(EDJE_SRCS)
	$(EDJE_CC) $(EDJE_FLAGS) \
	$(top_srcdir)/data/themes/alternative/alternative.edc \
	$(top_builddir)/data/themes/alternative/alternative.edj

clean-local:
	rm -f $(files_DATA)
